ArrayIterator::offsetUnset
ArrayIterator::seek
ArrayIterator
PHP Manual

# ArrayIterator::rewind

(PHP 5 >= 5.0.0)

ArrayIterator::rewind — Rewind array back to the start

### Description

void ArrayIterator::rewind ( void )

This rewinds the iterator to the beginning.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayIterator::rewind() example

`<?php
$arrayobject = new ArrayObject();
$arrayobject[] = 'zero';
$arrayobject[] = 'one';
$arrayobject[] = 'two';
$iterator = $arrayobject->getIterator();
$iterator->next();
echo $iterator->key(); //1
$iterator->rewind(); //rewinding to the begining
echo $iterator->key(); //0
?>`

ArrayIterator::offsetUnset
ArrayIterator::seek
ArrayIterator
PHP Manual